<template>
    <div class="text-md-center">
        <h2>Login</h2>
        <v-layout>
            <v-flex xs6 offset-xs3>
                <v-card>
                    <v-card-text>
                        <v-text-field
                            v-model="login.username"
                            label="Username"
                            required
                        >
                        </v-text-field>
                        <v-text-field
                            v-model="login.password"
                            label="Password"
                            required
                        >
                        </v-text-field>
                    </v-card-text>

                    <v-btn class="mb-3" success @click="loginIt">Login</v-btn>

                </v-card>
            </v-flex>
        </v-layout>
        
    </div>
</template>

<script>
export default {
    data() {
        return {
            login: {
                username: "",
                password: ""
            }
        }
    },
    methods:{
        loginIt(){
            this.$http.post("http://127.0.0.1:8000/user/login", this.login)
            .then(
            response => {
                let token =  response.data.message.api_token;
                
                localStorage.setItem('token', token);

                Event.$emit('login');

                this.$router.push('/');
            },
            error => {
                console.log(error);
            });
        }
    }
    
}
</script>